#
# spec file for package ddrescue (Version 1.13_0.0.6)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libgssapi libmudflap libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           ddrescue
%define	ddrescuever 1.13
%define ddrhelpver 0.0.6		
Version:        1.13_0.0.6
Release:        1.6
License:        GNU General Public License (GPL)
Group:          System/Base
Provides:       dd_rescue
Autoreqprov:    on
Requires:       bc
Summary:        Data Copying in the Presence of I/O Errors
Source:         http://www.garloff.de/kurt/linux/ddrescue/dd_rescue-%{ddrescuever}.tar.gz
Source1:        dd_rhelp-%{ddrhelpver}.tar.gz
#Patch:		dd_rescue-%{version}.diff
Patch2:         dd_rhelp_src.diff
Patch3:         ddresc-112.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
dd_rescue helps when nothing else can: your disk has crashed and you
try to copy it over to another one. While standard Unix tools like cp,
cat, and dd wail "abort" on every I/O error, dd_rescue does not.



Authors:
--------
    Kurt Garloff <garloff@suse.de>

%debug_package
%prep
%setup -n dd_rescue -b1
#%patch -p1
cd ../dd_rhelp-%{ddrhelpver}
%patch2 -p1
%patch3 -p1
autoreconf
./configure
for name in FAQ NEWS README THANKS TODO; do
	cp -p $name ${name}.dd_rhelp
done

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"
cd ../dd_rhelp-%{ddrhelpver}
make

%install
make install DESTDIR=$RPM_BUILD_ROOT INSTASROOT= INSTALLFLAGS=
cd ../dd_rhelp-%{ddrhelpver}
make install DESTDIR=$RPM_BUILD_ROOT bindir=/bin

%files
%defattr(-,root,root)
/bin/dd_rescue
/bin/dd_rhelp
%doc README.dd_rescue
%doc ../dd_rhelp-%{ddrhelpver}/*.dd_rhelp
%doc ../dd_rhelp-%{ddrhelpver}/doc

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/dd_rescue

%changelog
* Mon Mar 19 2007 - garloff@suse.de
- Update to dd_rescue-1.13:
  * Write full block of '0' for read errors and non-seekable
  output. (#255671)
* Tue Nov 07 2006 - garloff@suse.de
- dd_rhelp: head/tail require -n option (thanks to Bryant Ling)
- dd_rhelp: Use -y0 if ddrescue is 1.12 or newer.
- dd_rhelp: Require bc.
* Sat Jul 29 2006 - garloff@suse.de
- Update to dd_rescue-1.12:
  * Option -b: Log bad blocks to ASCII file
  * Option -y: Change fsync frequency (performance)
* Mon May 22 2006 - schwab@suse.de
- Don't strip binaries.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Feb 21 2005 - garloff@suse.de
- Add autoreconf to dd_rhelp.
* Mon Feb 14 2005 - garloff@suse.de
- Update to dd_rescue-1.11:
  * O_DIRECT needs aligned buffers (Raymund Will)
  * Compile fix for systems without O_DIRECT
- Update to dd_rhelp 0.06
* Sun Aug 29 2004 - garloff@suse.de
- Update to dd_rescue-1.10:
  * Support for non-seekable in-/output (pipes).
* Sun Aug 29 2004 - garloff@suse.de
- Update to dd_rescue-1.04:
  * Include fix from Lab Valentin for dd_rhelp
  * Fix CPU load display overflow
  * Default soft block size now 64k instead of 16k
  * O_DIRECT supported (-d/-D)
  * option -p to copy permissions/owner/times
- Include dd_rhelp script (0.0.5) from Lab Valentin.
* Thu Jul 26 2001 - garloff@suse.de
- Update to version 1.02:
  * Better handling of partially successful reads.
  * Don't loop on EFBIG when writing.
  * Avoid errno checking if not necessary.
* Mon Apr 30 2001 - garloff@suse.de
- Bugfix release 1.01:
  * Don't loop trying to write to full partition (ENOSPC)
  * Fix compiler format warning (\%% -> %%)
  * Add lots of const qualifiers
  * Optimize block zero checking routine
* Fri Feb 09 2001 - garloff@suse.de
- #include <stdarg.h> to fix compilation error on variadic fns
* Sat Dec 09 2000 - nashif@suse.de
-  sorted
* Wed Aug 30 2000 - garloff@suse.de
- Update to 1.00: Some preparation for supporting non-seekable
  in- or output. No support yet: Print warning and abort.
* Sat May 27 2000 - garloff@suse.de
- Update to 0.99: Use stderr to print messages instead of stdout
- Prepare allowing - as stdin/stdout (but pread/pwrite() will fail)
- Fix spelling in README
- Use BuildRoot
* Fri Jan 14 2000 - garloff@suse.de
- Fixed README.dd_rescue.
* Wed Oct 27 1999 - garloff@suse.de
- Removed flushb. It belongs into util-linux.
* Wed Oct 20 1999 - garloff@suse.de
- Fixed typo in help. (b <-> B)
* Fri Oct 15 1999 - garloff@suse.de
- Initial release: 0.98.
